```{toctree}
:hidden: true
   
installation
tutorials
howitworks
api
```

```{image} https://badge.fury.io/py/bento-tools.svg
:alt: PyPI version
:target: https://badge.fury.io/py/bento-tools
:class: inline-link
```

```{image} https://codecov.io/gh/ckmah/bento-tools/branch/master/graph/badge.svg?token=XVHDKNDCDT
:alt: codecov
:target: https://codecov.io/gh/ckmah/bento-tools
:class: inline-link
```

```{image} https://readthedocs.org/projects/bento-tools/badge/?version=latest
:alt: Documentation Status
:target: https://bento-tools.readthedocs.io/en/latest/?badge=latest
:class: inline-link
```

```{image} https://img.shields.io/pypi/dm/bento-tools
:alt: PyPI - Downloads
:class: inline-link
```


# Bento
:::{image} _static/tutorial_img/bento_tools.png
:alt: Bento Workflow
:align: center
:width: 800px
:::

Bento is a Python toolkit for performing subcellular analysis of spatial transcriptomics data. The package is part of the [Scverse ecosystem](https://scverse.org/packages/#ecosystem). Check out the [documentation](https://bento-tools.readthedocs.io/en/latest/) for installation instructions, tutorials, and API. Cite [our preprint](https://doi.org/10.1101/2022.06.10.495510) if you use Bento in your work. Thanks!


::::{grid} 2
:::{grid-item-card} {octicon}`terminal` Installation
:link: installation.html
:::

:::{grid-item-card} {octicon}`workflow` Tutorials
:link: tutorials.html
:::
::::

::::{grid} 2
:::{grid-item-card} {octicon}`gear` How It Works
:link: howitworks.html
:::

:::{grid-item-card} {octicon}`code-square` API
:link: api.html
:::
::::

---
:::{image} https://img.shields.io/github/license/ckmah/bento-tools.svg
:alt: GitHub license
:class: inline-link
:::
